import styled from 'styled-components';

export const SVG = styled.svg`
  pointer-events: none;
  user-select: none;
  touch-action: none;
  position: absolute;
  left: 0;
  top: 0;
`;

export const PolyLine = styled('polyline')<{ isCovered: boolean }>`
  pointer-events: visiblepainted;
  cursor: ${(props) => (props.isCovered ? 'pointer' : 'default')};
`;
